graphics/frameworks - The NetBSD Packages Collection

Stop-motion animation frame capture software

Frameworks is stop-motion animation frame capture software primarily for
Linux. Frameworks captures images from a camera and strings them together into
an animation. These still images may then be combined into a single video file
using other software. Only video4linux webcams are currently supported; work
is being done to add other types of digital cameras including IEEE 1394
camcorders, and USB still cameras. Frameworks is designed to be easily used
alongside the GIMP Animation Package (GAP).

Frameworks provides an interface to camera brightness and other controls. It
captures images as frame_0001.png, frame_0002.png, and so on. Frameworks
provides animation assistance in the form of onion skinning: displaying ghost
images of previous frames, and continuous preview: continuous playback of the
most recent few seconds followed by the live view from the camera. No editing
features are provided.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/autoconf devel/gmake devel/pkgconf

Runtime dependencies

devel/libglade x11/gtk2 graphics/hicolor-icon-theme graphics/libv4l sysutils/desktop-file-utils devel/libglade x11/gtk2 graphics/hicolor-icon-theme sysutils/desktop-file-utils

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfframeworks-0.3.7nb36.tgz
NetBSD 8.0earmv7hfframeworks-0.3.7nb36.tgz
NetBSD 8.0i386frameworks-0.3.7nb35.tgz
NetBSD 8.0i386frameworks-0.3.7nb36.tgz
NetBSD 8.0i386frameworks-0.3.7nb36.tgz
NetBSD 8.0powerpcframeworks-0.3.7nb35.tgz
NetBSD 8.0powerpcframeworks-0.3.7nb36.tgz
NetBSD 8.0powerpcframeworks-0.3.7nb36.tgz
NetBSD 8.0x86_64frameworks-0.3.7nb35.tgz
NetBSD 8.0x86_64frameworks-0.3.7nb36.tgz
NetBSD 9.0aarch64frameworks-0.3.7nb36.tgz
NetBSD 9.0aarch64frameworks-0.3.7nb35.tgz
NetBSD 9.0aarch64frameworks-0.3.7nb36.tgz
NetBSD 9.0alphaframeworks-0.3.7nb36.tgz
NetBSD 9.0alphaframeworks-0.3.7nb35.tgz
NetBSD 9.0alphaframeworks-0.3.7nb36.tgz
NetBSD 9.0earmv6hfframeworks-0.3.7nb36.tgz
NetBSD 9.0earmv6hfframeworks-0.3.7nb35.tgz
NetBSD 9.0earmv6hfframeworks-0.3.7nb36.tgz
NetBSD 9.0earmv6hfframeworks-0.3.7nb36.tgz
NetBSD 9.0earmv7hfframeworks-0.3.7nb36.tgz
NetBSD 9.0earmv7hfframeworks-0.3.7nb35.tgz
NetBSD 9.0earmv7hfframeworks-0.3.7nb36.tgz
NetBSD 9.0earmv7hfframeworks-0.3.7nb36.tgz
NetBSD 9.0i386frameworks-0.3.7nb35.tgz
NetBSD 9.0i386frameworks-0.3.7nb36.tgz
NetBSD 9.0i386frameworks-0.3.7nb36.tgz
NetBSD 9.0mips64ebframeworks-0.3.7nb36.tgz
NetBSD 9.0mips64ebframeworks-0.3.7nb35.tgz
NetBSD 9.0mips64ebframeworks-0.3.7nb36.tgz
NetBSD 9.0powerpcframeworks-0.3.7nb36.tgz
NetBSD 9.0powerpcframeworks-0.3.7nb35.tgz
NetBSD 9.0sparc64frameworks-0.3.7nb36.tgz
NetBSD 9.0sparc64frameworks-0.3.7nb35.tgz
NetBSD 9.0sparc64frameworks-0.3.7nb36.tgz
NetBSD 9.0x86_64frameworks-0.3.7nb36.tgz
NetBSD 9.0x86_64frameworks-0.3.7nb36.tgz
NetBSD 9.0x86_64frameworks-0.3.7nb36.tgz
NetBSD 9.0x86_64frameworks-0.3.7nb35.tgz
NetBSD 9.0x86_64frameworks-0.3.7nb36.tgz
NetBSD 9.0x86_64frameworks-0.3.7nb36.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.